# The game menu screen.

screen game_menu:

    modal True
    zorder 1  # Make sure the say screen (dialogue box) never shows above menus.
    
    # Hide this screen on right-click or Esc
    key "game_menu" action hide_menus
    
    # Block key actions associated with the dialogue box
    key "rollback" action NullAction()
    key "rollforward" action NullAction()
    key "hide_windows" action NullAction()
    key "toggle_skip" action NullAction()
    
    # Darken the screen a bit.
    add Solid("#0006")
    
    imagemap:
        ground "gui_images/Game_Menu_ground.png"
        idle "gui_images/Game_Menu_idle_button.png"
        hover "gui_images/Game_Menu_hovered_button.png"
        selected_idle "gui_images/Game_Menu_idle_selected_button.png"
        selected_hover "gui_images/Game_Menu_hovered_selected_button.png"
        
        hotspot (770, 450, 105, 33) clicked hide_menus
        
        hotspot (591, 394, 133, 32):
            clicked ActionAndSelect(Show("save"), "save")
            hovered Show("game_menu_info", info_key='Save')
        hotspot (591, 426, 133, 32):
            clicked ActionAndSelect(Show("load"), "load")
            hovered Show("game_menu_info", info_key='Load')
        hotspot (591, 458, 133, 32):
            clicked ActionAndSelect(Show("preferences"), "preferences")
            hovered Show("game_menu_info", info_key='Options')
        hotspot (591, 490, 133, 32):
            clicked MainMenuCustom()
            hovered Show("game_menu_info", info_key='Main Menu')
        hotspot (591, 522, 133, 32):
            clicked Quit()
            hovered Show("game_menu_info", info_key='Quit')
    
        hotspot (234, 543, 196, 28):
                clicked Help()    # Opens README.html
                hovered Show("game_menu_info", info_key='Manual')
            
        if renpy.can_load('quicksave'):
            hotspot (463, 505, 57, 59):
                clicked quickload_handler    # See quicksave.rpy
                hovered Show("game_menu_info", info_key='Quick Load')
        else:
            hotspot (463, 505, 57, 59) clicked None
            
    on "hide" action Hide("game_menu_info")
    on "replaced" action Hide("game_menu_info")
            
            
# Info text for the game menu.
screen game_menu_info:
    
    zorder 1  # Make this appear on the game menu screen, not behind it
    
    frame background None:
        xpadding 5 ypadding 5
        xpos 200 ypos 424 xmaximum 250 ymaximum 132
        
        text game_menu_info_dict[info_key]:
            size 20 color "dddddd"
    
    
init python:
    
    # Show the game menu screen on right-click or Esc.
    # But before showing that screen, take a screenshot to be used if the
    # game is saved.  This way, the savefile screenshot won't include the game menu.
    config.game_menu_action = [ FileTakeScreenshot(), Show("game_menu") ]
    
    def hide_menus():
        Hide("game_menu")()    # Hide the screen "game_menu"
        Hide("submenu")()    # Hide any screen tagged "submenu"
        return
    
    game_menu_info_dict = {
        'Load': "Load a previously saved game.",
        'Main Menu': "Return to the main menu.",
        'Manual': "Opens the README.html.",
        'Options': "Change options related to the dialogue, sound, etc.",
        'Quick Load': "Load the latest Quick Save.",
        'Quit': "Quit the game.",
        'Save': "Save the game.",
    }
    