# Preferences/Options/Settings
#
# Screen that allows the user to change the preferences.
# http://www.renpy.org/doc/html/screen_special.html#prefereces

# Code by Elmiwisa from LSF, added because the slider bars are unresponsive after switching to Ren'py 6.15 

python early:
    ui.hotbar=ui.Wrapper(ui._hotbar, style="hotbar",vertical=False, replaces=True)
            


screen preferences:

    tag submenu
    
    # Make sure the say screen (dialogue box) never shows above menus.
    zorder 1
    
    imagemap:
        alpha False
        
        ground "gui_images/options_ground.png"
        idle "gui_images/options_idle_buttons.png"
        hover "gui_images/options_hovered_buttons.png"
        selected_idle im.Composite((1024,576),
            (0,0), "gui_images/options_idle_selected_buttons.png",
            (0,0), "gui_images/options_idle_selected_bars.png")
        selected_hover im.Composite((1024,576),
            (0,0), "gui_images/options_hovered_selected_buttons.png",
            (0,0), "gui_images/options_hovered_selected_bars.png")
        
        hotspot (519, 35, 106, 29) clicked Preference("display", "window")
        hotspot (637, 35, 106, 29) clicked Preference("display", "fullscreen")
        
        hotspot (519, 76, 106, 30) clicked Preference("skip", "seen")
        hotspot (637, 76, 106, 30) clicked Preference("skip", "all")
        
        hotbar (552, 127, 157, 12) value Preference("text speed")
        
        hotspot (519, 160, 106, 30) clicked Preference("auto-forward", "enable")
        hotspot (637, 160, 106, 30) clicked Preference("auto-forward", "disable")
        
        hotbar (552, 211, 157, 12) value Preference("auto-forward time")
        
        hotbar (552, 253, 157, 12) value Preference("music volume")
        hotbar (552, 296, 157, 12) value Preference("sound volume")
        
        hotspot (340, 329, 215, 36) clicked reset_to_defaults_action


init -2 python:
    
    ## Default values of Preferences.

    ## Note: These options are only evaluated the first time a
    ## game is run. To have them run a second time, delete
    ## game/saves/persistent
    config.default_fullscreen = False

    # The default text speed in characters per second. 0 is infinite.
    config.default_text_cps = 30
    
    # Auto-forward mode.
    config.default_afm_enable = False
    config.default_afm_time = 20
    
        
    # Reset preferences to their default values.
    def reset_to_defaults():
        _preferences.skip_unseen = False
        _preferences.text_cps = config.default_text_cps
        _preferences.afm_enable = config.default_afm_enable
        _preferences.afm_time = config.default_afm_time
        _preferences.set_volume('music', 0.66)
        _preferences.set_volume('sfx', 1.0)
        
    # Run this function when the reset to defaults button is clicked.
    def reset_to_defaults_action():
        reset_to_defaults()
        
        # Make sure the screen updates with the preference resets
        renpy.restart_interaction()
        
    # Reset prefs to default values when the game is started
    # for the first time.
    if persistent.prefs_initialized is None:
        persistent.prefs_initialized = True
        reset_to_defaults()
        
    