# Yes/No Prompt
#
# Screen that asks the user a yes or no question.
# http://www.renpy.org/doc/html/screen_special.html#yesno-prompt
    
screen yesno_prompt:

    modal True
    zorder 1  # Make sure the say screen (dialogue box) never shows above menus.
    
    # Block key actions associated with the dialogue box
    key "rollback" action NullAction()
    key "rollforward" action NullAction()
    key "hide_windows" action NullAction()
    key "toggle_skip" action NullAction()
    
    add Solid((0,0,0,255*0.6))

    frame:
        style_group "yesno"
        
        frame:
            style "yesno_frame_2"
            
            has vbox:
                xalign .5
                yalign .5
                spacing 30
                
            label _(message):
                xalign 0.5
    
            hbox:
                xalign 0.5
                spacing 100
                
                textbutton _("Yes") action yes_action
                textbutton _("No") action no_action


init -2 python:
    YESNO_COLOR_1 = "#9CB2B0"
    YESNO_COLOR_2 = "#0D1918"
    
    style.yesno_frame.background = YESNO_COLOR_1
    style.yesno_frame.minimum = (700,150)
    style.yesno_frame.xpadding = 2
    style.yesno_frame.ypadding = 2
    style.yesno_frame.xalign = 0.5
    style.yesno_frame.ypos = 140
    style.yesno_frame.yanchor = 0
    
    style.yesno_frame_2 = Style(style.yesno_frame)
    style.yesno_frame_2.background = YESNO_COLOR_2
    style.yesno_frame_2.align = (0.5,0.5)
    
    style.yesno_label_text.font = "fonts/Enigmatic_Regular.ttf"
    style.yesno_label_text.color = YESNO_COLOR_1
    style.yesno_label_text.size = 24
    style.yesno_label_text.text_align = 0.5
    
    # default textbutton style is called "button"
    style.yesno_button = Style(style.default)
    
    style.yesno_button_text.font = "fonts/Enigmatic_Regular.ttf"
    style.yesno_button_text.idle_color = YESNO_COLOR_1
    style.yesno_button_text.hover_color = "#FFFFFF"
    style.yesno_button_text.size = 24
    