screen hc_select:

    tag menu
    zorder -2

    use chapter_select(
        # Structure holding the chapters
        chapter_sequence=hc_chapters,
        # Chapter images class
        ChapterSelectImages=HCSelectImages,
    )


init python:
    
    class HCSelectImages(object):
        """
        Filenames of images used in the Hellcat Corner menu.
        """
        prefix = "gui_images/chapter_select/"
        
        ground = prefix + "hellcat_corner_ground.png"
        default_background = Solid("#000000")
        exit_idle = prefix + "exit_idle.png"
        exit_hover = prefix + "exit_hovered.png"
        go_idle = prefix + "go_idle.png"
        go_hover = prefix + "go_hovered.png"
        chapter_button_selected_bg = prefix + "selected_chapter_box.png"
        hc1_splash = prefix + "hellcat_corner1.png"
        hc2_splash = prefix + "hellcat_corner2.png"


    class HCChapter(Chapter):
        def is_unlocked(self):
            # Each Hellcat Corner chapter is unlocked if its
            # corresponding story chapter is considered cleared.
            return story_chapters.has_cleared_chapter(self.number)
    
    hc_chapters = ChapterSequence()

    hc_chapters.add_chapter(HCChapter(
        number = '1',
        title = "Hellcat Corner 1",
        description = """Commentary on Chapter 1 and the origins of Touhou Mecha.""",
        preview_image = HCSelectImages.hc1_splash,
        start_label = "HC_1",
    ))
        
    hc_chapters.add_chapter(HCChapter(
        number = '2',
        title = "Hellcat Corner 2",
        description = """Commentary on Chapter 2 and the first Q&A session.""",
        preview_image = HCSelectImages.hc2_splash,
        start_label = "HC_2",
    ))