# Main Menu 
#
# Screen that's used to display the main menu, when Ren'Py first starts
# http://www.renpy.org/doc/html/screen_special.html#main-menu

screen main_menu:
    
    tag menu

    key "game_menu" action title_screen_hide_menus

    imagemap:
        style_group "mm_imagemap"
        
        alpha False
        
        # The main menu background
        ground "gui_images/title_screen_ground.png"
        
        # The main menu buttons
        idle "gui_images/title_screen_idle_selection.png"
        hover "gui_images/title_screen_hovered_selection.png"
        selected_idle "gui_images/title_screen_idle_selected.png"
        selected_hover "gui_images/title_screen_hovered_selected.png"

        hotspot (196, 392, 211, 40) clicked ActionAndSelect(
            Show("story_chapter_select", transition=dissolve), "chapter_start"
        )
        if renpy.can_load('quicksave'):
            hotspot (409, 392, 211, 40) clicked quickload_handler    # QuickLoad
        else:
            hotspot (409, 392, 211, 40) clicked None
        hotspot (622, 392, 211, 40) clicked ActionAndSelect(Show("load"), "load")    # Load Game
        hotspot (288, 457, 177, 40) clicked ActionAndSelect(Show("preferences"), "preferences")    # Options
        hotspot (469, 457, 177, 40) clicked ActionAndSelect(Show("extras"), "extras")    # Extras
        hotspot (650, 457, 177, 40) clicked Quit(confirm=False)    # Quit
        
    # Logo
    add "gui_images/title_screen_logo.png"
    
    # Use an on-show/replace action to play main menu music, instead of using config.main_menu_music.
    # This way, we can give kwargs (such as loop=False) to the music play function.
    on 'show' action Play('music', 'music/oc-tm-title.ogg', loop=False, fadeout=1.0)
    on 'replace' action Play('music', 'music/oc-tm-title.ogg', loop=False, fadeout=1.0)
    
    # When going into one of the extras screens (music room, etc.), hide the extras submenu.
    on 'replaced' action Hide('submenu')


init -2 python:
    style.mm_imagemap_hotspot.hover_sound = "sfx/interface_beep5.mp3"
    style.mm_imagemap_hotspot.activate_sound = "sfx/Lever Shifted 1.mp3"


init python:

    def title_screen_hide_menus():
        # Hide any screen tagged "submenu"
        Hide("submenu")()
        
        # De-select any selected buttons
        screen_scope = renpy.current_screen().scope
        if screen_scope.has_key("selected_name"):
            del screen_scope["selected_name"]
                
        return
    